Subject: bug#12969: 24.3.50; NS Crash when running applescript

From: Ivan Andrus <[email-masked]>
Date: Mon, 3 Dec 2012 21:57:12 +0100

On Dec 2, 2012, at 1:49 PM, Jan Djärv <[email-masked]> wrote:

> Hello.
> 
> 27 nov 2012 kl. 20:24 skrev Ivan Andrus <[email-masked]>:
> 
>> Sorry, somehow I missed that you had replied.  Here are the results:
>> 
>> (gdb) fr 2
>> #2  0x00000001001912eb in ns_do_applescript [inlined] () at /Users/gvol/vcs=
>> /emacs/local/src/nsfns.m:2059
>> 2059				     [NSString stringWithUTF8String: SSDATA (script)]];
>> Current language:  auto; currently objective-c
>> (gdb) p script
>> $1 =3D 4320145466
>> (gdb) xtype
>> Lisp_Symbol
>> (gdb) pp script
>> nil
> 
> You say Emacs where idle when this happened, do you have some applescript running on a timer or something?  The event for applescript must come from somewhere.  Not ignoring the fact that Emacs may interpret events wrong.
> 
> However, we can guard against nil for the script argument, it should not happen.

Yes I do sometimes run an apple script from a timer.  I don't think the timer was running, but it could easily be some misconfiguration of the timer on my end.  I'll try running it with -Q to see if I can replicate it.  

-Ivan